Skip to content
Pile
Esc
navigateopen⌘Jpreview

Create project milestone

POST/workspaces/{organizationId}/projects/{projectId}/milestones
Path parameters
organizationIdstringrequired
projectIdstringrequired
Request body
application/json
namestringrequired
min length 1
descriptionstring
targetDatestring
completedAtstring
Responses
201Project milestone created
idstringrequired
organizationIdstringrequired
projectIdstringrequired
namestringrequired
descriptionstring | nullrequired
targetDatestring | nullrequired
completedAtstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X POST "/workspaces/string/projects/string/milestones" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string",
  "description": "string",
  "targetDate": "string",
  "completedAt": "string"
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "projectId": "string",
  "name": "string",
  "description": "string",
  "targetDate": "string",
  "completedAt": "string",
  "createdAt": "string",
  "updatedAt": "string"
}